Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
tokens
/
{address_hash_param}
/
instances
/
{token_id_param}
Retrieve detailed information about a specific NFT
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "animation_url": "https://example.com",
  "external_app_url": "https://example.com",
  "id": "<string>",
  "image_url": "https://example.com",
  "is_unique": true,
  "media_type": "image/png",
  "media_url": "https://example.com",
  "metadata": {
    "description": "Test",
    "image": "https://example.com/image.png",
    "name": "Test"
  },
  "owner": {
    "ens_domain_name": "<string>",
    "hash": "<string>",
    "implementations": [
      {
        "address_hash": "<string>",
        "name": "<string>"
      }
    ],
    "is_contract": true,
    "is_scam": true,
    "is_verified": true,
    "metadata": {
      "tags": [
        {
          "meta": {},
          "name": "<string>",
          "ordinal": 123,
          "slug": "<string>",
          "tagType": "<string>"
        }
      ]
    },
    "name": "<string>",
    "private_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "public_tags": [
      {
        "address_hash": "<string>",
        "display_name": "<string>",
        "label": "<string>"
      }
    ],
    "watchlist_names": [
      {
        "display_name": "<string>",
        "label": "<string>"
      }
    ]
  },
  "thumbnails": {
    "original": "<string>",
    "250x250": "<string>",
    "500x500": "<string>",
    "60x60": "<string>"
  },
  "token": {
    "address_hash": "<string>",
    "circulating_market_cap": "<string>",
    "circulating_supply": "<string>",
    "decimals": "<string>",
    "exchange_rate": "<string>",
    "holders_count": "<string>",
    "icon_url": "https://example.com",
    "name": "<string>",
    "symbol": "<string>",
    "total_supply": "<string>",
    "volume_24h": "<string>",
    "foreign_address": "<string>",
    "origin_chain_id": "<string>"
  },
  "value": "<string>"
}
{
"message": "Resource not found"
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
token_id_param
string | null
required

Token ID for ERC-721/1155/404 tokens

Pattern: ^-?([1-9][0-9]*|0)$
chain_id
string
required

The ID of the blockchain

Response

Detailed information about the specified NFT instance.

animation_url
string<uri> | null
required
Example:

"https://example.com"

external_app_url
string<uri> | null
required
Example:

"https://example.com"

id
string
required
Pattern: ^-?([1-9][0-9]*|0)$
image_url
string<uri> | null
required
Example:

"https://example.com"

is_unique
boolean | null
required
media_type
string | null
required

Mime type of the media in media_url

Example:

"image/png"

media_url
string<uri> | null
required
Example:

"https://example.com"

metadata
object | null
required
Example:
{
"description": "Test",
"image": "https://example.com/image.png",
"name": "Test"
}
owner
Address · object | null
required

Address

thumbnails
object | null
required
token
Token · object | null
required

Token struct

animation_media_type
enum<string> | null

Media type category of the token instance animation URL

Available options:
image,
video,
html
image_media_type
enum<string> | null

Media type category of the token instance image URL

Available options:
image,
video,
html
token_type
enum<string> | null
Available options:
ERC-20,
ERC-721,
ERC-1155,
ERC-404,
ERC-7984
value
string | null
Pattern: ^-?([1-9][0-9]*|0)$